#!/usr/bin/python3

from wallpyperFuncs import *

def main():
    if len(sys.argv) == 2 and sys.argv[1] in ("help","--help","-h"):
        printHelpInfo()
    else:
        if len(sys.argv) == 1: setTheme()
        elif len(sys.argv) == 2 and sys.argv[1] in ("quit", "stop"): killLastSession(); sys.exit(0)
        elif len(sys.argv) >= 2 and sys.argv[1] == "set": 
            if len(sys.argv) == 2:
                try:
                    import dmenu

                    themes = getThemes()
                    print(themes)
                    theme = dmenu.show(themes, prompt='Themes:')
                    setTheme(theme)
                except ModuleNotFoundError:
                    printHelpInfo()
            elif len(sys.argv) == 3:
                setTheme(sys.argv[2])
            else: printHelpInfo()
        else: printHelpInfo()

if __name__ == '__main__':
    main()
